package dao;

/**
 * Classe qui contient les informations 
 * relatives  un patient 
 * @author Djimangue
 * @version 2.0 Gestion des Patients
 * 
 */
public class Patient {
	
	//Variables
	private int numTicket;
	private String matricule;
	private String prenom;
	private String nom;
	private int age;
	private int priseEnCharge;
	private int telephone;
	private String adresse;
	private String email;
	
	//Constructeurs
	public Patient(){
		super();
	}
		
	/**
	 * @param numTicket
	 * @param matricule
	 * @param prenom
	 * @param nom
	 * @param age
	 * @param priseEnCharge
	 * @param telephone
	 * @param adresse
	 * @param email
	 * Constructeurs qui prend en paramtres toutes les 
	 * prorits de la classe Patient
	 */
	public Patient(int numTicket, String matricule, String prenom, String nom, int age, int priseEnCharge,
			int telephone, String adresse, String email) {
		super();
		this.numTicket = numTicket;
		this.matricule = matricule;
		this.prenom = prenom;
		this.nom = nom;
		this.age = age;
		this.priseEnCharge = priseEnCharge;
		this.telephone = telephone;
		this.adresse = adresse;
		this.email = email;
	}

	//Acesseurs
	public int getNumTicket() {
		return numTicket;
	}
	public void setNumTicket(int numTicket) {
		this.numTicket = numTicket;
	}
	public String getMatricule() {
		return matricule;
	}
	public void setMatricule(String matricule) {
		this.matricule = matricule;
	}
	public String getPrenom() {
		return prenom;
	}
	public void setPrenom(String prenom) {
		this.prenom = prenom;
	}
	public String getNom() {
		return nom;
	}
	public void setNom(String nom) {
		this.nom = nom;
	}
	public int getAge() {
		return age;
	}
	public void setAge(int age) {
		this.age = age;
	}
	public int getPriseEnCharge() {
		return priseEnCharge;
	}
	public void setPriseEnCharge(int priseEnCharge) {
		this.priseEnCharge = priseEnCharge;
	}
	public int getTelephone() {
		return telephone;
	}
	public void setTelephone(int telephone) {
		this.telephone = telephone;
	}
	public String getAdresse() {
		return adresse;
	}
	public void setAdresse(String adresse) {
		this.adresse = adresse;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	
	
}
